import {Component, OnInit} from '@angular/core';
import {OverAllService} from '../overAll.service';
import {pageSize} from '../../app.constants';

@Component({
    selector: 'smart-network-check',
    templateUrl: './network-check.component.html',
    styles: []
})
export class NetworkCheckComponent implements OnInit {

    dataSet;
    deviceNo;

    name;
    pageIndex = 1;
    pageSize = pageSize;

    checkStatus = {
        green: '',
        yellow: '',
        red: '',
        gray: ''
    };

    constructor(private overAllSer: OverAllService) {
    }

    ngOnInit() {
        this.getwebList();
        this.getCheckStatus();
    }

    getwebList() {
        const data = {
            name:'',
            eventPage:this.pageIndex,
            pageRecords:this.pageSize
        };
        this.overAllSer.findWebscenario(data).subscribe(
            (res) => {
                if (res.errCode == 10000) {
                    this.dataSet = res.data;
                }
            }
        );
    }

    //监测状态
    getCheckStatus() {

    }
}
